/*
 * Copyright 2003 - 2009 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 3447 $
 * Last Changed:    $Date: 2009-11-29 17:46:39 -0500 (Sun, 29 Nov 2009) $
 * Last Changed By: $Author: tim.moxter $
 */

package org.efaps.ui.wicket.models;

import org.efaps.ui.wicket.models.objects.UIClassification;

/**
 * The Class ClassificationModel.
 *
 * @author The eFaps Team
 * @version $Id: ClassificationModel.java 3447 2009-11-29 22:46:39Z tim.moxter $
 */
public class ClassificationModel extends AbstractModel<UIClassification>
{

    /**
     * Needed for serialization.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Object of this model.
     */
    private UIClassification uiclassification;

    /**
     * The Constructor.
     *
     * @param _uiclassification  classification
     */
    public ClassificationModel(final UIClassification _uiclassification)
    {
        this.uiclassification = _uiclassification;
    }

    /**
     * @see org.apache.wicket.model.IModel#getObject()
     * @return Object of this model.
     */
    public UIClassification getObject()
    {
        return this.uiclassification;
    }

    /**
     * @see org.apache.wicket.model.IModel#setObject(java.lang.Object)
     * @param _uiclassification classification
     */
    public void setObject(final UIClassification _uiclassification)
    {
        this.uiclassification = _uiclassification;
    }

}
